List operating-instructions versions
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/operating-instructions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/operating-instructions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/operating-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "42",
"storefrontId": "1234",
"version": 3,
"content": "<string>",
"notes": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"ownershipIssues": [
{
"area": "pricing",
"canonicalOwner": "selling_terms",
"canonicalSurface": "playbook_pricing",
"message": "<string>"
}
],
"doctrine": {
"variant": "house_default",
"thresholds": {
"minimumCategoryFit": 0.5,
"counterAppetite": 0.5,
"floorPosture": "hold_floor"
},
"isDefault": true
}
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
List operating-instructions versions
List all operating-instructions versions for the storefront, newest first. The active version (if any) is flagged via isActive on each row.
GET
/
operating-instructions
List operating-instructions versions
curl --request GET \
--url https://api.interchange.io/api/v2/storefront/operating-instructions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/operating-instructions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/operating-instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "42",
"storefrontId": "1234",
"version": 3,
"content": "<string>",
"notes": "<string>",
"isActive": true,
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": "<string>",
"ownershipIssues": [
{
"area": "pricing",
"canonicalOwner": "selling_terms",
"canonicalSurface": "playbook_pricing",
"message": "<string>"
}
],
"doctrine": {
"variant": "house_default",
"thresholds": {
"minimumCategoryFit": 0.5,
"counterAppetite": 0.5,
"floorPosture": "hold_floor"
},
"isDefault": true
}
}
],
"total": 4503599627370495
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Response
List operating-instructions versions
List of operating-instructions versions for a storefront.